Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034014
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajorsometimes2016-09-19 11:082016-12-16 18:37
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision1655f1ccceb1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034014: Slow behavior of widget "Stock by Warehouse"

DescriptionHaving a large amount of data, "stock by warehouse" widget behaves slowly
Steps To Reproduce*** ASK ENVIRONMENT DETAILS FOR JONHM ***
- Add "stock by warehouse" widget
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0023682 closedSandrahuguet Add to "widgets collection" module the new widget "stock warehouse" 
related to defect 0032604 closedalostale Stock by Warehouse widget logs error message 

-  Notes
(0090619)
hgbot (developer)
2016-10-17 12:02

Repository: erp/devel/pi
Changeset: 1655f1ccceb181df59113d26580c05477f0a772c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Oct 05 17:15:27 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1655f1ccceb181df59113d26580c05477f0a772c [^]

Fixes issue 34014: Simple Stock By Warehouse Widget

Added new widget with name Simple Stock By Warehouse
New view with subquery to get qtyonhand from storage detail and joins with Product, Category, Uom, Warehouse

---
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/OBCQL_QUERY_COLUMN.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/OBCQL_WIDGET_QUERY.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/OBKMO_WIDGET_CLASS.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
A modules/org.openbravo.client.widgets/src-db/database/model/views/OBWCL_STOCK_BY_WAREHOUSE_V.xml
A modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_COLUMN.xml
A modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
A modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_PACKAGE.xml
A modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_TABLE.xml
---
(0090620)
hgbot (developer)
2016-10-17 12:02

Repository: erp/devel/pi
Changeset: ab62853b9b6c3355bbc30ae03e8be24aeb51cb09
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Oct 10 17:12:47 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ab62853b9b6c3355bbc30ae03e8be24aeb51cb09 [^]

Related to issue 34014: Code review improvements

Change retrieved columns order in OBWCL_STOCK_BY_WAREHOUSE_V view.
Change Obwcl_Stock_By_Warehouse_V_ID column length.
Change Widgets Collection module package name.
Change OBWCL_StockByWarehouseView table java class name.

---
M modules/org.openbravo.client.widgets/src-db/database/model/views/OBWCL_STOCK_BY_WAREHOUSE_V.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_PACKAGE.xml
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/AD_TABLE.xml
---
(0090621)
aferraz (developer)
2016-10-17 12:03

New "Simple Stock By Warehouse" widget has been created with better performance.
(0090622)
aferraz (developer)
2016-10-17 12:05

Code review + Testing OK
(0092514)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092515)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-19 11:08 JONHM New Issue
2016-09-19 11:08 JONHM Assigned To => platform
2016-09-19 11:08 JONHM Modules => Core
2016-09-19 11:08 JONHM Triggers an Emergency Pack => No
2016-09-19 16:34 caristu Assigned To platform => Triage Finance
2016-09-19 16:34 caristu Category I. Performance => Z. Others
2016-09-19 16:34 caristu Tag Attached: Performance
2016-09-19 16:37 caristu Relationship added related to 0023682
2016-09-19 16:37 caristu Category Z. Others => 04. Warehouse management
2016-09-19 17:18 ahernandezgil Issue Monitored: ahernandezgil
2016-09-22 17:01 aferraz Relationship added related to 0032604
2016-09-23 11:55 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-09-28 17:58 AtulOpenbravo Status new => scheduled
2016-10-17 12:02 hgbot Checkin
2016-10-17 12:02 hgbot Note Added: 0090619
2016-10-17 12:02 hgbot Status scheduled => resolved
2016-10-17 12:02 hgbot Resolution open => fixed
2016-10-17 12:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1655f1ccceb181df59113d26580c05477f0a772c [^]
2016-10-17 12:02 hgbot Checkin
2016-10-17 12:02 hgbot Note Added: 0090620
2016-10-17 12:03 aferraz Note Added: 0090621
2016-10-17 12:05 aferraz Review Assigned To => aferraz
2016-10-17 12:05 aferraz Note Added: 0090622
2016-10-17 12:05 aferraz Status resolved => closed
2016-10-17 12:05 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092514
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092515


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker